using System;
using System.Linq;
using System.Collections.Generic;
using UnityEngine;


public class CategoryBuilder
{
    /// <summary>
    /// Use this method to create your own category.
    /// </summary>
    /// <param name="name">New category name</param>
    /// <param name="description">Description of the new category</param>
    /// <param name="icon">New category icon</param>
    public static void Create(string name, string description, Sprite icon) //Probably much better
    {
        CatalogBehaviour manager = CatalogBehaviour.Main;
        if (manager.Catalog.Categories.FirstOrDefault((Category c) => c.name == name) == null)
        {
            Category category = ScriptableObject.CreateInstance<Category>();
            category.name = name;
            category.Description = description;
            category.Icon = icon;
            var thing = CatalogBehaviour.Main.Catalog.Categories.ToList<Category>();
            thing.Insert(9, category);
            CatalogBehaviour.Main.Catalog.Categories = thing.ToArray<Category>();
        }
    }
}