﻿using System;
using UnityEngine;

namespace BMM
{
    public class InfinityGauntlet : EnhancedLimb
    {
        public void Awake()
        {
                                body.gameObject.AddComponent<UseEventTrigger>().Action = () =>
                                {
                                    GameObject HandOBJ2 = UnityEngine.Object.Instantiate(ModAPI.FindSpawnable("Detached Laser Cannon").Prefab.GetComponent<BlasterBehaviour>().Bolt);
                                    HandOBJ2.GetComponent<BlasterboltBehaviour>().Trail.startColor = new Color(217, 0, 255);
                                    HandOBJ2.GetComponent<BlasterboltBehaviour>().Trail.endColor = new Color(217, 0, 255);

                                    ModAPI.CreateParticleEffect("Vapor", new Vector2(arm1.transform.position.x, arm1.transform.position.y + 0.1f));
                                    HandOBJ2.transform.position = body.gameObject.transform.position;
                                    HandOBJ2.transform.eulerAngles = body.gameObject.transform.eulerAngles;
                                    HandOBJ2.transform.eulerAngles += new Vector3(0, 0, 270);

                                    AudioSource audio = body.gameObject.AddComponent<AudioSource>();
                                    audio.spatialBlend = 1;
    }
}
